Subject: Re: bug#18697: 25.0.50; [PATCH] hi-lock interactive functions now default to the active region, if there is one

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 23:29:01 +0200

Dima Kogan <[email-masked]> writes:

> Attached is a small feature patch. Currently when a hi-lock.el function
> is called interactively, the default offered by (read-regexp) is the
> last value.
>
> With the patch, the behavior is the same if no active region is
> available; if an active region IS available, the default is the contents
> of the region.

Hm...  I think this sounds kinda unusual?  We don't have any other
prompting functions that default to using the contents of the region (if
it's active), I think?

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no